summaryrefslogtreecommitdiff
path: root/debian/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/preinst')
-rwxr-xr-xdebian/preinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/preinst b/debian/preinst
index c88a2f1..6ea7df1 100755
--- a/debian/preinst
+++ b/debian/preinst
@@ -19,4 +19,13 @@ if [ -e /etc/apt/trusted.gpg ] && which gpg >/dev/null; then
gpg --batch --no-tty --no-default-keyring --keyring /etc/apt/trusted.gpg --delete-key 0xCE433F407BAB443AFEA196C1837C1AD5367429D9 2>/dev/null || true
fi
+# Remove the leap keyrings from apt-key, they are being placed in
+# /usr/share/keyrings and /etc/apt/sources.list.d/leap.list is being generated
+# to have signed-by lines such as:
+#
+#deb [signed-by /usr/share/keyrings/leap-experimental-archive.gpg] http://deb.leap.se/platform snapshots main
+
+apt-key del 1E453B2CE87BEE2F7DFE99661E34A1828E207901 || true
+apt-key del CE433F407BAB443AFEA196C1837C1AD5367429D9 || true
+
#DEBHELPER#